php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #8460 Installation
Submitted: 2000-12-28 11:50 UTC Modified: 2000-12-28 12:00 UTC
From: din at capesesp dot com dot br Assigned:
Status: Closed Package: Compile Failure
PHP Version: 4.0.4 OS: AIX 4.3
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: din at capesesp dot com dot br
New email:
PHP Version: OS:

 

 [2000-12-28 11:50 UTC] din at capesesp dot com dot br
I can?t install PHP 4.0 in AIX 4.3 (HTTPServer 1.3.12). 

I run the command 

?configure ?without-mysql ?with-oci8 ?with-apxs=/usr/HTTPServer/bin/apxs?

and receive, at the end, the message:

+--------------------------------------------------------------------+
| WARNING: Your /usr/HTTPServer/bin/apxs script is most likely broken.
|                                                                    |
| Please go read http://www.php.net/FAQ.php#6.11 and make the        |
| changes described there and try again.                             |
+--------------------------------------------------------------------+
| License:                                                           |
| This software is subject to the PHP License, available in this     |
| distribution in the file LICENSE.  By continuing this installation |
| process, you are bound by the terms of this license agreement.     |
| If you do not agree with the terms of this license, you must abort |
| the installation process at this point.                            |
+--------------------------------------------------------------------+

I still execute ?make? and receive the message:

cc: 1501-218 file .libs/libphp4.lax/libtsrm.al/tsrm_virtual_cwd.lo contains an incorrect file suffix

I still execute ?make install?, creating the libphp4.so. 
When I execute ?apachectl start?, I receive the message:

apachectl[71]: 13738 Memory fault(coredump)
apachectl start: httpd could not be started

Running ?dbx http?, I observe the message:

Segmentation fault in php_save_umask at line 122 in file "mod_php4.c"
122 }

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-12-28 12:00 UTC] jmoore@php.net
Your apxs is broken.. anyway did you read the notice at the end it tells you what to do:
+--------------------------------------------------------------------+
| WARNING: Your /usr/HTTPServer/bin/apxs script is most likely broken.
|                                                                    |
| Please go read http://www.php.net/FAQ.php#6.11 and make the        |
| changes described there and try again.                             |
+--------------------------------------------------------------------+

follow the instructions there and reopen the bug if it doesnt fix it (ask php-install@ first).


 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Wed Oct 27 08:03:36 2021 UTC